摘要: http://acm.hdu.edu.cn/showproblem.php?pid=1085 唯一的坑点是 所有的数如果都可以求得的话 那么得不到的将是 sum+1 // 注意细节 #include<bits/stdc++.h> using namespace std; const int maxn 阅读全文
posted @ 2017-08-14 22:55 Draymonder 阅读(127) 评论(0) 推荐(0) 编辑
摘要: http://acm.hdu.edu.cn/showproblem.php?pid=1398 大概像是01背包 #include<bits/stdc++.h> using namespace std; const int maxn = 400; int dp[maxn]; int s[maxn]; 阅读全文
posted @ 2017-08-14 22:31 Draymonder 阅读(92) 评论(0) 推荐(0) 编辑
摘要: 题目:给出一定(n)数量的砝码,每个砝码重a1,a2,a3。。。an, 问题:求出【1~sum】中(sum为各砝码总和)不能被称出的重量; 问题关键:天平两边都可以放砝码, 放在同一端:a[j+k]+=a[j] 不同端a[abs(j-k)]+=a[j] 假设原来的砝码都放在右端,则可以把新加的砝码放 阅读全文
posted @ 2017-08-14 22:14 Draymonder 阅读(187) 评论(0) 推荐(0) 编辑
摘要: http://acm.hdu.edu.cn/showproblem.php?pid=1171 01背包 #include<bits/stdc++.h> using namespace std; const int maxn = 1000*100 +100; int dp[maxn],v[5010]; 阅读全文
posted @ 2017-08-14 21:35 Draymonder 阅读(147) 评论(0) 推荐(0) 编辑
摘要: http://www.51nod.com/onlineJudge/questionCode.html#!problemId=1007 01背包//需要多做这种题 能看到题想到这个思路 如果sum为奇数 比如 sum=5,那么sum/2 就是2 所以 总共的sum -dp[sum/2] 就是较大的那一 阅读全文
posted @ 2017-08-14 16:18 Draymonder 阅读(186) 评论(0) 推荐(0) 编辑
摘要: http://www.51nod.com/onlineJudge/questionCode.html#!problemId=1086 思路 裸的多重背包 巩固一下刚学的骚操作 #include<bits/stdc++.h> using namespace std; const int maxn = 阅读全文
posted @ 2017-08-14 15:49 Draymonder 阅读(168) 评论(0) 推荐(0) 编辑
摘要: http://poj.org/problem?id=1014 思路 大概是裸的多重背包 复杂度 #include<iostream> #include<cstdio> #include<algorithm> #include<string.h> using namespace std; const 阅读全文
posted @ 2017-08-14 15:17 Draymonder 阅读(133) 评论(0) 推荐(0) 编辑
摘要: 来源:http://acm.hdu.edu.cn/showproblem.php?pid=2082 qscvideo讲解:https://www.bilibili.com/video/av4356817/ 母函数 也就是所谓的生成函数 通过(1+x)(1+x+x2)将排列组合问题 换成求多项式系数的 阅读全文
posted @ 2017-08-14 12:56 Draymonder 阅读(177) 评论(0) 推荐(0) 编辑
摘要: 来源:http://www.51nod.com/onlineJudge/questionCode.html#!problemId=1050 答案有两种形式1.正常的最大连续序列 即ans1 2.开始+末尾的连续的一段,去掉中间,中间为什么去掉呢,因为中间那段和为负数,只要求出负数最大的连续子序列去掉 阅读全文
posted @ 2017-08-14 11:09 Draymonder 阅读(151) 评论(0) 推荐(0) 编辑
摘要: http://www.51nod.com/onlineJudge/questionCode.html#!problemId=1183. 题意不再赘述。 分析:大概和LCS差不多的吧 但是我用LCS转换貌似错了 搜的网上的题解 大概就是 如果(dp[i-1][j-1] dp[i-1][j] dp[i] 阅读全文
posted @ 2017-08-14 09:42 Draymonder 阅读(170) 评论(0) 推荐(0) 编辑